export const rotation = (event: any, ctx: any, snapPointOffset: number) => {
  'worklet';
  let radian = Math.atan2(
    event.absoluteX - ctx.centers.x,
    -(event.absoluteY - ctx.centers.y),
  );
  const rad = snapPointOffset + radian;
  return rad;
};

export const getCenters = (internals: any) => {
  'worklet';
  const x = internals.x.value + internals.boxWidth.value / 2;
  const y = internals.y.value + internals.boxHeight.value / 2;
  return {x, y};
};

export const handleLeft = (params: any) => {
  'worklet';
  const x = params.ctx.startX + params._ev.translationX;
  const boxWidth = params.ctx.boxW - params._ev.translationX;
  return [boxWidth, x];
};

export const handleBottom = (params: any) => {
  'worklet';
  const boxHeight = params.ctx.boxH + params._ev.translationY;
  return boxHeight;
};

export const handleRight = (params: any) => {
  'worklet';
  const boxWidth = params.ctx.boxW + params._ev.translationX;
  return boxWidth;
};

export const handleTop = (params: any) => {
  'worklet';
  const y = params.ctx.startY + params._ev.translationY;
  const boxHeight = params.ctx.boxH - params._ev.translationY;
  return [y, boxHeight];
};
